Subject: bug#13594: Planning Emacs-24.4

From: Juri Linkov <[email-masked]>
Date: Tue, 19 Nov 2013 02:54:19 +0200

>> OK, thank you for the quick response. I have re-worked the patch based
>> on Stefan's and your comments. Please review it. Thanks.
>
> Fine by me, thank you (I don't like `non-window-ok' either, but again
> I have nothing better to suggest for replacement).

A good name depends on how the users will customize it.

Currently display-buffer supports these actions:

 `display-buffer-same-window'
 `display-buffer-reuse-window'
 `display-buffer-pop-up-frame'
 `display-buffer-pop-up-window'
 `display-buffer-use-some-window'

Then a new action could have a name:

 `display-buffer-no-window'

The existing ALIST entries are:

 `inhibit-same-window'
 `inhibit-switch-frame'

Then a new property could be:

 `allow-no-window'

And the new action `display-buffer-no-window' could check
if `allow-no-window' is non-nil then it will return t
(for which `display-buffer' will return nil to the caller).